#
# spec file for package python-cogapp
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-cogapp
Version:        3.0.0
Release:        150400.1.7
Summary:        A code generator for executing Python snippets in source files
License:        MIT
Group:          Development/Languages/Python
URL:            http://nedbatchelder.com/code/cog
Source:         https://files.pythonhosted.org/packages/source/c/cogapp/cogapp-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires(post): update-alternatives
Requires(preun):update-alternatives
BuildArch:      noarch
%python_subpackages

%description
Cog is a file generation tool. It lets you use pieces of Python code
as generators in your source files to generate whatever text you
need.

%prep
%setup -q -n cogapp-%{version}
# The fix for bpo-43105 broke cogapp's way to import relative paths
# https://github.com/nedbat/cog/issues/16
sed -i 's/self.addToIncludePath(a)/self.addToIncludePath(os.path.abspath(a))/' cogapp/cogapp.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
mv %{buildroot}%{_bindir}/cog.py %{buildroot}%{_bindir}/cog
%python_clone -a %{buildroot}%{_bindir}/cog

%check
# reverse -q from addopts in setup.cfg
%pytest -v

%post
%python_install_alternative cog

%preun
%python_uninstall_alternative cog

%files %{python_files}
%license LICENSE.txt
%doc README.rst
%python_alternative %{_bindir}/cog
%{python_sitelib}/*

%changelog
* Fri May  7 2021 code@bnavigator.de
- always use absoulte import paths for -I parameter: mitigate
  failure due to bpo-43105 fix.
* Fri Apr  5 2019 tchvatal@suse.com
- Update to 3.0.0:
  * Use pytest for testing
  * Many many changes in git but no readable changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Fri Apr 14 2017 toddrme2178@gmail.com
- Initial version
